﻿section.navigate-by-topic:not(.tpp-theme-white) {
	padding: 20px 0;
}

section.navigate-by-topic div.topic-panel { 
	background-color: #ffffff;
	color: var(--hlc-midnight-blue);
	min-height: 240px;

	background-size: cover;
	background-position: center;
	background-repeat: no-repeat;

	transition: all 0.2s;

	overflow: hidden;
}

section.navigate-by-topic div.topic-panel div.inner { 
	position: relative;
	height: 100%;
}

section.navigate-by-topic div.topic-panel a.topic-panel {
	position: relative;
	display: block;
	height: 100%;
	padding: 25px;
	cursor: pointer;
	text-decoration: none;

	z-index: 2;
}

section.navigate-by-topic div.topic-panel p.title { 
	font-size: 22px;
	font-weight: 500;
	color: inherit;
}

section.navigate-by-topic div.topic-panel img.image { 
	position: absolute;
	left: initial;
	top: initial;
	right: 10px;
	bottom: 10px;
	width: auto;
	height: calc(100% - 33% - 10px);

	object-fit: contain;
	object-position: center;

	z-index: 1;
   
   transition: all 0.2s;
}


section.navigate-by-topic div.topic-panel .image.hover {
	opacity: 0;
	z-index: 2;
}

section.navigate-by-topic div.topic-panel:hover .image.hover {
	opacity: 1;
	transition: ease-in-out 0.1s;
}

section.navigate-by-topic div.topic-panel.static-image:hover img.image.static { 
	transform: scale(1.1);
}

/*** Themes ***/


/*** Panel Themes ***/

/*
	dark-green
	light-taupe
	light-green-teal-gradient
	purple-teal-gradient
	white

	dark-gradient
	light-gradient
*/

section.navigate-by-topic div.topics-container.tpp-panel-theme-dark-green div.topic-panel { 
   background-color: var(--hlc-midnight-blue);
   color: #ffffff;
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-dark-green div.topic-panel:hover { 
   background-color: var(--hl-light-green);
   color: var(--hlc-midnight-blue);
}

section.navigate-by-topic.tpp-theme-dark-green div.section-title {
	color: #ffffff;
}
section.navigate-by-topic div.topics-container.tpp-panel-theme-light-taupe div.topic-panel {
	background-color: var(--hl-light-taupe);
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-light-green-teal-gradient div.topic-panel {
	background-image: url("/template-tool/_assets/bg-light-green-teal-gradient.jpg");
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-purple-teal-gradient div.topic-panel {
	background-image: url("/template-tool/_assets/bg-purple-teal-gradient.jpg");
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-dark-gradient div.topic-panel { 
	background-image: url("/template-tool/_assets/bg-dark-gradient.jpg");
	color: #ffffff;
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-dark-gradient div.topic-panel:hover {
	background-image: none;
	background-color: var(--hl-light-green);
	color: var(--hlc-midnight-blue);
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-light-gradient div.topic-panel {
	background-image: url("/template-tool/_assets/bg-light-gradient.jpg");
	color: var(--hlc-midnight-blue);
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-light-gradient div.topic-panel:hover {
	background-image: none;
	background-color: var(--hlc-midnight-blue);
	color: #ffffff;
}

section.navigate-by-topic div.topics-container.tpp-panel-theme-white div.topic-panel:hover,
section.navigate-by-topic div.topics-container.tpp-panel-theme-light-taupe div.topic-panel:hover {
	background-image: none;
	background-color: var(--hlc-midnight-blue);
	color: var(--hl-light-green);
}

section.navigate-by-topic.tpp-theme-dark-green div.topics-container div.topic-panel:hover {
	background-image: none;
	background-color: var(--hl-light-green);
	color: var(--hlc-midnight-blue);
}
